[arch-commits] Commit in diffutils/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Sébastien Luttringer seblu at archlinux.org
Tue Jan 1 18:17:34 UTC 2019


    Date: Tuesday, January 1, 2019 @ 18:17:33
  Author: seblu
Revision: 342866

archrelease: copy trunk to testing-x86_64

Added:
  diffutils/repos/testing-x86_64/
  diffutils/repos/testing-x86_64/PKGBUILD
    (from rev 342865, diffutils/trunk/PKGBUILD)

----------+
 PKGBUILD |   48 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

Copied: diffutils/repos/testing-x86_64/PKGBUILD (from rev 342865, diffutils/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2019-01-01 18:17:33 UTC (rev 342866)
@@ -0,0 +1,48 @@
+# Mainainer: Sébastien Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=diffutils
+pkgver=3.7
+pkgrel=1
+pkgdesc='Utility programs used for creating patch files'
+arch=('x86_64')
+url='https://www.gnu.org/software/diffutils'
+license=('GPL3')
+groups=('base')
+depends=('glibc' 'bash')
+validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000BEEEE') # Jim Meyering
+source=("https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
+md5sums=('4824adc0e95dbbf11dfbdfaad6a1e461'
+         'SKIP')
+
+prepare() {
+  cd $pkgname-$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list